Network Tokens
Get card art
Get the card art associated with the network token.
GET
/
api
/
network
/
tokens
/
{id}
/
card-art
Get card art
curl --request GET \
--url https://{instance}.{env}.on-hellgate.cloud/api/network/tokens/{id}/card-art \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/network/tokens/{id}/card-art"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/network/tokens/{id}/card-art', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"base64_card_art": "iVBORw0KGgoAAAANSUhEUgAA...",
"height": 105,
"width": 170,
"mime_type": "image/png"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
Path Parameters
The ID of the token for which to request the card art.
⌘I
Get card art
